/* -- Base properties -- */

@import url("https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,700,700i&display=swap");
@import url("https://fonts.googleapis.com/css?family=Oswald:300,300i,400,400i,700,700i&display=swap");

:root {
    --clr-primary-light: hsl(0, 0%, 96%);
    --clr-primary-dark: hsl(210, 11%, 15%);
    --clr-primary-accent: hsl(8, 73%, 55%);

    --clr-white: hsl(0, 0%, 100%);
    --clr-black: hsl(0, 0%, 0%);
    --clr-muted: hsl(0, 100%, 0.7);

    --ff-primary: "Open Sans", "Odoo Unicode Support Noto", sans-serif;
    --ff-accent: "Oswald", "Odoo Unicode Support Noto", sans-serif; 
}

*, *::before, *::after {
    box-sizing: border-box;
}

* {
    margin: 0;
    padding: 0;
    font: inherit;
}

html, body {
    min-height: 100vh;
}

body {
    display: block;
    font-family: var(--ff-primary);
    font-size: 1rem;
    font-weight: 400;
    color: var(--clr-primary-dark);
    background-color: var(--clr-white);
    margin: 0;
    line-height: 1.5;
    text-align: left;
}

img, picture, video, canvas, svg {
    display: block;
    max-width: 100vw;
}

input, button, textarea, select {
    font: inherit;
}

p, h1, h2, h3, h4, h5, h6 {
    overflow-wrap: break-word;
}

p{
    margin-top: 0; 
    margin-bottom: 1rem;
}

h6, .h6, h5, .h5, h4, .h4, h3, .h3, h2, .h2, h1, .h1 {
    margin-top: 0; 
    margin-bottom: 0.5rem; 
    font-family: var(--ff-accent);
    font-weight: 500; 
    line-height: 1.2;
}

h1, .h1 {
    font-size: calc(1.375rem + 1.5vw);
}

h2, .h2 {
    font-size: calc(1.325rem + 0.9vw);
}

h3, .h3 {
    font-size: calc(1.3rem + 0.6vw);
}

h4, .h4 {
    font-size: calc(1.275rem + 0.3vw);
}

h5, .h5 {
    font-size: 1.25rem;
}

h6, .h6 {
    font-size: 1rem;
}

hr{
    margin: 1rem 0; 
    color: inherit; 
    background-color: var(--clr-primary-light);
    border: 0; 
    opacity: 0.25;
}

h1, h2, h3 {
    text-transform: uppercase;
    font-weight: 800 !important;
}

hr:not([size]) {
    height: 1px;
}

a {
    color: var(--clr-primary-accent);
    text-decoration: none;
    background-color: transparent;
}

ul {
    padding-left: 0;
    list-style: none;
    margin-top: 0;
    margin-bottom: 1rem;
}

li {
    display:list-item;
    list-style: none;
}

b {
    font-weight: bolder;
}


/* -- Utilities -- */

.accent-grey {
    display:block;
    background-color: var(--clr-primary-light);
}

.accent-red {
    display:block;
    background-color: var(--clr-primary-accent);
}


/* -- elements -- */

.logo {
    object-fit: contain;
    display: block;
    width: auto;
    height: 2.5rem;
    vertical-align: middle;
    border-style: none;
}

.button {
    display: inline-flex;
    cursor:pointer;
    border:0;
    border-radius: 0.2em;
    padding: 0.5em 1em;
    font-weight: 400;
    font-size: 1rem;
    color: var(--clr-white);
    background-color: var(--clr-primary-accent);
}

.button.inactive{
    display: inline-flex;
    cursor:not-allowed;
    border:0;
    border-radius: 0.2em;
    padding: 0.5em 1em;
    font-weight: 400;
    font-size: 1rem;
    color: var(--clr-muted);
    background-color: var(--clr-white);
}

.container {
    --max-width: 1140px;
    --padding: 15px;
    width: min(var(--max-width), 100% - (var(--padding) * 2));
    margin-inline: auto;
}

.row {
    display: flex;
    flex-wrap: wrap;
    margin-right: -15px;
    margin-left: -15px;
}

.even-columns {
    display:grid;
    gap: 1rem;
}

.primary-header {
    padding-top: 5px;
    padding-bottom: 5px;
    box-shadow: 0px 5px 5px -5px #111; 
}

.nav-wrapper {
    display: flex;
    flex: 0 0 auto;
    justify-content: space-between;
    align-items: center;
    
}

.primary-navigation {
    margin-top:20px;
    margin-left:3rem;
    margin-right: 3rem;
    display: block;
}

.nav-list {
    display:flex;
    gap: 2rem;
    font-size: 0.9rem;
    font-weight: 400;
}

.nav-list a {
    cursor:pointer;
    text-decoration: none;
    color: var(--clr-muted);
    opacity: 0.7;
}

.nav-list a:hover {
    opacity: 1;
}

main {
    z-index:-1;
    padding-top: 0px;
    margin-bottom:0px;
    display: block;
}

section {
    padding-top: 32px;
    padding-bottom: 0px;
}

.hero {
    font-weight: 300;
    margin-top: 0;
    margin-bottom:1rem;
    padding-top:0;
    padding-bottom:24px;
}

.mission {
    text-align: center;
    font-size: 1.25rem;
    font-family: var(--ff-accent);
    line-height: 34px;
    font-family: 'Lora', serif;
    font-weight: 100 !important;
    font-style: oblique;
    padding-bottom:24px;
}

.footer {
    display: block;
    padding-top:32px;
    margin-top:0px;
    background-color: #28292d;
    color: #FFFFFF;
}

.copy {
    width:100%;
    display: flex;
    padding-top: 1rem;
    padding-bottom: 1rem;
    background-color: #000;
    font-size: 0.9rem;
}

.social {
    padding-top:10px;
    display:flex;
    gap: 1rem;
}

.fa {
    font-family: "FontAwesome" !important;
}

.fa {
    display: inline-block;
    width: 24px;
    aspect-ratio: 1 / 1;
    font: normal normal normal 14px/1 FontAwesome;
    font-size: inherit;
}

.fa-2x {
    font-size: 1em;
    color: var(--clr-primary-accent);
}

.btn {
    font-family: "Source Sans Pro", "Odoo Unicode Support Noto", sans-serif;
}

.btn-sm, .btn-group-sm > .btn {
    padding: 0.0625rem 0.3125rem;
    font-size: 0.75rem;
    line-height: 1.5;
    border-radius: 0.2rem;
}

.btn-link {
    font-weight: 400;
    color: #ba311d;
    text-decoration: none;
}

/* -- Media queries -- */

@media (min-width: 1200px) {
    h1, .h1{
        font-size: 2.5rem;
    }
    h2, .h2{
        font-size: 2rem;
    }
    h3, .h3{
        font-size: 1.75rem;
    }
    h4, .h4 {
        font-size: 1.5rem;
    }
}

@media (min-width: 50em) {
    .even-columns {
        grid-auto-flow: column;
        grid-auto-columns: 1fr;
    }
}

@media (min-width: 1200px) {
    .container {
        max-width: 1140px;
    }
}

/* 
@media (min-width: 992px) {
    .container {
        max-width: 960px;
    }
}

@media (min-width: 768px) {
    .container {
        max-width: 720px;
    }
}

@media (min-width: 576px) {
    .container {
        max-width: 540px;
    }
}
*/








